# Method Image.Image()->skewy_expand()

Method skewy_expand

  `object skewy(int y)`
  `object skewy(float xfactor)`
  `object skewy(int y, int r, int g, int b)`
  `object skewy(float xfactor, int r, int g, int b)`
  `object skewy_expand(int y)`
  `object skewy_expand(float xfactor)`
  `object skewy_expand(int y, int r, int g, int b)`
  `object skewy_expand(float xfactor, int r, int g, int b)`

Description

  Skews an image an amount of pixels or a factor; a skew-y is a transformation:

  original | ->skewy(15,255,0,0); | ->skewy_expand(15);

  The "expand" variant of functions stretches the image border pixels rather then filling with the given or current color.

Parameter `y`

  the number of pixels

Parameter `xfactor`

  best described as: t=xfactor*this->xsize()

Parameter `r`
Parameter `g`
Parameter `b`

  color to fill with; default is current

Returns

  the new image object